package com.mcwl.communityCenter.domain.dto;


import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 提问请求参数
 */
@Data
public class QuestionRes {
    /**
     * 租户id
     */
    @NotNull(message = "租户不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区不能为空")
    private Long communityId;

    /**
     * 提问用户id
     */
    @NotNull(message = "提问用户不能为空")
    private Long questionUserId;

    /**
     * 提问内容
     */
    @NotBlank(message = "提问内容不能为空")
    private String content;

    /**
     * 提问图片
     */
    private String questionUrl;

    /**
     * 是否匿名 0 否 1 是
     */
    private Integer isAnonymous = 0;


}
